%define upstream_name    Devel-CallTrace
%define upstream_version 1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    See what your code's doing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
There are a number of perl modules in the CPAN that are designed to trace a
program's execution as it runs. Each uses a different trick to do its job, but
none of them quite met my needs. The technique this module uses is quite simple
and seems to be quite robust.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.200.0-10.mga10
+ Revision: 2203562
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.200.0-9.mga9
+ Revision: 1808759
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.200.0-8.mga8
+ Revision: 1503806
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.200.0-7.mga7
+ Revision: 1282731
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.200.0-6.mga7
+ Revision: 1164054
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 tv <tv> 1.200.0-5.mga7
+ Revision: 1158418
- BR perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-4.mga6
+ Revision: 1025492
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.200.0-3.mga6
+ Revision: 969061
- Mageia 6 Mass Rebuild

* Sat Aug 01 2015 shlomif <shlomif> 1.200.0-2.mga6
+ Revision: 860450
- Add description
- Rel bump to fix build SNAFU
- imported package perl-Devel-CallTrace


* Sun Dec 02 2012 cpan2dist 1.2-1mga
- initial mageia release, generated with cpan2dist
